Subject: bug#33648: 25.2; feature request: configurable position of strike-through line

From: Stefan Kangas <[email-masked]>
Date: Mon, 31 Aug 2020 11:35:50 +0000

Stefan Kangas <[email-masked]> writes:

> I mucked around a bit and came up with the below diff.  It is probably
> not the correct fix, but does make it slightly better for me.  Someone
> who understands this better would need to investigate this properly.

Actually, looking at this more, I'm starting to get convinced that
LibreOffice is actually just positioning the line at the upper case
glyph height divided by 3 instead of 2.

I had a look also at Firefox, and, if I'm not mistaken, they place the
line at half the height of the lower-case glyph.  (Perhaps that makes
even more sense?)  I used the following link for testing:

https://developer.mozilla.org/en-US/docs/Web/HTML/Element/strike#Example

Best regards,
Stefan Kangas